Package csb :: Package io :: Module tsv :: Class Where

[frames] | no frames]

# Class Where

source code

    object --+
             |
          Step --+
                 |
                Where

Instance Methods

__init__(self, table, expression, column) x.__init__(...) initializes x; see help(type(x)) for signature | source code

between(self, start, end) | source code

equals(self, value) | source code

greater(self, value) | source code

in_(self, *values) | source code

lower(self, value) | source code

notequals(self, value) | source code

notin(self, *values) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `Step`: `expression`, `table` Inherited from `object`: `__class__`

Method Details

### __init__(self, table, expression, column)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)